Summary: The Motif matrix and caption widgets.
Name: Xbae
Version: 4.7
Release: 7
Copyright: Distributable
Group: System Environment/Libraries
Source0: ftp://ftp.x.org/contrib/widgets/motif/Xbae-4.7.tar.gz
URL: http://www.xbae.syd.net.au
Patch0: Xbae-4.7.patch
Patch1: XtPointer.patch
BuildRoot: /var/tmp/xbae-root
BuildPreReq: openmotif-devel openmotif
Requires: openmotif
Conflicts: lesstif, lesstif-devel

%description
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use Xbae's widgets.

%prep
%setup -q #-n Xbaelin-4.7
%patch0 -p1 -b .orig
%patch1 -p1 -b .tim

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT

#compress man pages
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT -not -name $RPM_BUILD_ROOT/usr/doc -type f | sed -e "s#^$RPM_BUILD_ROOT##g" > rpm-Xbae-files

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-Xbae-files
%defattr(-,root,root)
%doc README PROBLEMS LICENSE doc 
%dir /usr/X11R6/include/Xbae

%changelog
* Mon Aug 7 2000 Tim Powers <timp@redhat.com>
- add Conflicts lesstif and lesstif-devel to fix bug #15617

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- added postun section, fix bug #15001

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- patched to compile cleanly (patch2)

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Apr 26 2000 TIm Powers <timp@redhat.com>
- updated to 4.7

* Thu Dec 23 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- rebuilt, not including examples

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- fix perms in docs

* Fri Jul 2 1999 Tim Powers <timp@redhat.com>
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- rebuilt pacakge; cleaned up spec file

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to Xabelin-4.6.2.4

* Mon Jan 26 1998 Otto Hammersmith <otto@redhat.com>
- built the package.
